/*
	Copyright 2008 Amaury GRAILLAT
	Mail: amoweb26@laposte.net
	Jabber: amoweb@im.apinc.org
	WebSite: amoweb.olympe-network.com

	This file is part of KeyBoard SpeedTest.

	KeyBoard SpeedTest is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	KeyBoard SpeedTest is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with KeyBoard SpeedTest.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MYTHREAD_H
#define MYTHREAD_H

#include <QThread>
#include <iostream>

using namespace std;

class MyThread : public QThread
{
	Q_OBJECT

    	public:
        	virtual void run();

	private:
		int timeCount;

	signals:
		void signalGameTimeout();
		void tic( int time );

	public slots:
		void defineTime( int duration );
};

#endif
